<!--
  =============================================================================
    Shows how to copy specific jboss config files when using the JBoss plugin.
  =============================================================================
-->
<project>

  <preGoal name="jboss:configure">
    <copy todir="target/appconf">
      <fileset dir="conf/${env.name}/application"/>
    </copy>
    <copy todir="target/jboss/conf">
      <fileset dir="conf/${env.name}/jboss/conf"/>
    </copy>
    <copy todir="target/jboss/deploy">
      <fileset dir="conf/${env.name}/jboss/deploy"/>
    </copy>
  </preGoal>

</project>
